﻿$ErrorActionPreference = 'Stop';

$packageName= 'pragmaticworksworkbenchserver'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://download.pragmaticworks.com/prerelease/BETA/2017.2/BETA_Workbench_Server_2017.2.3.330.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url

  silentArgs    = "/quiet /norestart"
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'Workbench Server*'
  checksum = '323E8E733FF6B2B2A2058357D047A0D2B488D75D586D9CC0E2B808EC254BC6FD'
  checksumType = 'sha256'
  checksum64 = 'MzIzRThFNzMzRkY2QjJCMkEyMDU4MzU3RDA0N0EwRDJCNDg4RDc1RDU4NkQ5Q0MwRTJCODA4RUMyNTRCQzZGRA=='
  checksumType64 = 'sha256'
}

Install-ChocolateyPackage @packageArgs
